QCA::KeyStoreEntryContext Class Referenceabstract
QCA provider API

`#include <QtCrypto>`

Collaboration diagram for QCA::KeyStoreEntryContext:
[legend]

## Public Member Functions

virtual Certificate | certificate () const
virtual CRL | crl () const
virtual bool | ensureAccess ()
virtual QString | id () const =0
virtual bool | isAvailable () const
virtual KeyBundle | keyBundle () const
| KeyStoreEntryContext (Provider *p)
virtual QString | name () const =0
virtual PGPKey | pgpPublicKey () const
virtual PGPKey | pgpSecretKey () const
virtual QString | serialize () const =0
virtual QString | storeId () const =0
virtual QString | storeName () const =0
virtual KeyStoreEntry::Type | type () const =0
Public Member Functions inherited from QCA::Provider::Context
virtual Context * | clone () const =0
Provider * | provider () const
bool | sameProvider (const Context *c) const
QString | type () const

## Additional Inherited Members

Protected Member Functions inherited from QCA::BasicContext
| BasicContext (const BasicContext &from)
| BasicContext (Provider *parent, const QString &type)
Protected Member Functions inherited from QCA::Provider::Context
| Context (const Context &from)
| Context (Provider *parent, const QString &type)

## Detailed Description

KeyStoreEntry provider.

Note
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want KeyStoreEntry instead.

## Constructor & Destructor Documentation

## KeyStoreEntryContext()

QCA::KeyStoreEntryContext::KeyStoreEntryContext | ( | Provider * | p | ) |

inline

Standard constructor.

Parameters

  p | the Provider associated with this context

References QCA::BasicContext::BasicContext().

## Member Function Documentation

## type()

virtual KeyStoreEntry::Type QCA::KeyStoreEntryContext::type | ( |  | ) | const

pure virtual

Returns the entry type.

## id()

virtual QString QCA::KeyStoreEntryContext::id | ( |  | ) | const

pure virtual

Returns the entry id.

This id must be unique among all other entries in the same store.

## name()

virtual QString QCA::KeyStoreEntryContext::name | ( |  | ) | const

pure virtual

Returns the name of this entry.

## storeId()

virtual QString QCA::KeyStoreEntryContext::storeId | ( |  | ) | const

pure virtual

Returns the id of the store that contains this entry.

## storeName()

virtual QString QCA::KeyStoreEntryContext::storeName | ( |  | ) | const

pure virtual

Returns the name of the store that contains this entry.

## isAvailable()

virtual bool QCA::KeyStoreEntryContext::isAvailable | ( |  | ) | const

virtual

Returns true if the private key of this entry is present for use.

## serialize()

virtual QString QCA::KeyStoreEntryContext::serialize | ( |  | ) | const

pure virtual

Serialize the information about this entry.

This allows the entry object to be restored later, even if the store that contains it is not present.

See also
  KeyStoreListContext::entryPassive()

## keyBundle()

virtual KeyBundle QCA::KeyStoreEntryContext::keyBundle | ( |  | ) | const

virtual

If this entry is of type KeyStoreEntry::TypeKeyBundle, this function returns the KeyBundle of the entry.

## certificate()

virtual Certificate QCA::KeyStoreEntryContext::certificate | ( |  | ) | const

virtual

If this entry is of type KeyStoreEntry::TypeCertificate, this function returns the Certificate of the entry.

## crl()

virtual CRL QCA::KeyStoreEntryContext::crl | ( |  | ) | const

virtual

If this entry is of type KeyStoreEntry::TypeCRL, this function returns the CRL of the entry.

## pgpSecretKey()

virtual PGPKey QCA::KeyStoreEntryContext::pgpSecretKey | ( |  | ) | const

virtual

If this entry is of type KeyStoreEntry::TypePGPSecretKey, this function returns the secret PGPKey of the entry.

## pgpPublicKey()

virtual PGPKey QCA::KeyStoreEntryContext::pgpPublicKey | ( |  | ) | const

virtual

If this entry is of type KeyStoreEntry::TypePGPPublicKey or KeyStoreEntry::TypePGPSecretKey, this function returns the public PGPKey of the entry.

## ensureAccess()

virtual bool QCA::KeyStoreEntryContext::ensureAccess | ( |  | ) |

virtual

Attempt to ensure the private key of this entry is usable and accessible, potentially prompting the user and/or performing a login to a token device.

Returns true if the entry is now accessible, or false if the entry cannot be made accessible.

This function is blocking.

The documentation for this class was generated from the following file:

- qcaprovider.h